/*
 * $Id: recoder.h,v 1.2 1998/04/23 02:47:35 younggap Exp $
 *
 */

/* varius Markers */
#define mcMark  0xFF
#define mcZero  0x00
#define mcTEM   0x01         /* For Temporary use in arithmetic coding */
#define mcDHT   0xC4         /* Define Huffman Table */
#define mcDAC   0xCC         /* Define Arithmetic Conditioning */
#define mcRST0  0xD0         /* Restart counter 0 */
#define mcRST1  0xD1         /* Restart counter 1 */
#define mcRST2  0xD2         /* Restart counter 2 */
#define mcRST3  0xD3         /* Restart counter 3 */
#define mcRST4  0xD4         /* Restart counter 4 */
#define mcRST5  0xD5         /* Restart counter 5 */
#define mcRST6  0xD6         /* Restart counter 6 */
#define mcRST7  0xD7         /* Restart counter 7 */
#define mcSOI   0xD8         /* Start Of Image */
#define mcEOI   0xD9         /* End Of Image */
#define mcSOS   0xDA         /* Start Of Scan */
#define mcDQT   0xDB         /* Define Quantization Table */
#define mcDNL   0xDC         /* Define Number of Lines */
#define mcDRI   0xDD         /* Define Restart Interval */
#define mcDHP   0xDE         /* Define Hierarchical Progression */
#define mcEXP   0xDF         /* Expand reference image */
#define mcAPP0  0xE0         /* Reserved for Application use */
#define mcAPP1  0xE1         /* Reserved for Application use */
#define mcAPP2  0xE2         /* Reserved for Application use */
#define mcAPP3  0xE3         /* Reserved for Application use */
#define mcAPP4  0xE4         /* Reserved for Application use */
#define mcAPP5  0xE5         /* Reserved for Application use */
#define mcAPP6  0xE6         /* Reserved for Application use */
#define mcAPP7  0xE7         /* Reserved for Application use */
#define mcAPP8  0xE8         /* Reserved for Application use */
#define mcAPP9  0xE9         /* Reserved for Application use */
#define mcAPP10 0xEA         /* Reserved for Application use */
#define mcAPP11 0xEB         /* Reserved for Application use */
#define mcAPP12 0xEC         /* Reserved for Application use */
#define mcAPP13 0xED         /* Reserved for Application use */
#define mcAPP14 0xEE         /* Reserved for Application use */
#define mcAPP15 0xEF         /* Reserved for Application use */
#define mcCOM   0xFE         /* Comment */
#define M_SOF0  0xC0		/* Start Of Frame N */
#define M_SOF1  0xC1		/* N indicates which compression process */
#define M_SOF2  0xC2		/* Only SOF0-SOF2 are now in common use */
#define M_SOF3  0xC3
#define M_SOF5  0xC5		/* NB: codes C4 and CC are NOT SOF markers */
#define M_SOF6  0xC6
#define M_SOF7  0xC7
#define M_SOF9  0xC9
#define M_SOF10 0xCA
#define M_SOF11 0xCB
#define M_SOF13 0xCD
#define M_SOF14 0xCE
#define M_SOF15 0xCF
#define M_SOI   0xD8		/* Start Of Image (beginning of datastream) */
#define M_EOI   0xD9		/* End Of Image (end of datastream) */
#define M_SOS   0xDA		/* Start Of Scan (begins compressed data) */
#define M_COM   0xFE		/* COMment */

int jpeg_progress (FILE *,FILE *);
int wsoft_title( FILE * , FILE * ,char *);

